<?php
	namespace Mocha\UI\MasterPages;
	
	use Phast\RenderedEventArgs;
	use Phast\RenderingEventArgs;
	use Phast\RenderMode;
	use Phast\System;
	use Phast\WebPage;

	class BlankMasterPage extends WebPage
	{
		protected function OnRendering(RenderingEventArgs $re)
		{
			if ($re->RenderMode === RenderMode::Complete)
			{
				echo("<!DOCTYPE html>");
				echo("<html xmlns=\"http://www.w3.org/1999/xhtml\">");
			}
		}

		protected function OnRendered(RenderedEventArgs $e)
		{
			if ($e->RenderMode === RenderMode::Complete)
			{
				echo("</html>");
			}
		}

	}
?>